# [Example Guide](@id examples)

The next sections are examples which broadly fall into two categories.

## Workflows That Run Models

- [random walk model (0D)](https://gaelforget.github.io/ClimateModels.jl/dev/generated/RandomWalker/)
- [ShallowWaters.jl model (2D)](https://gaelforget.github.io/ClimateModels.jl/dev/generated/ShallowWaters/)
- [SPEEDY atmosphere model (3D)](https://gaelforget.github.io/ClimateModels.jl/dev/generated/Speedy/)
- [MITgcm general circulation model](https://gaelforget.github.io/ClimateModels.jl/dev/generated/MITgcm/)

## Workflows Using Remote Files

- [CMIP6 model output](https://gaelforget.github.io/ClimateModels.jl/dev/generated/CMIP6/) : access climate model output from cloud storage and compute temperature time series and global maps.

## [Outline Of The Examples](@id examples-outline)

```@contents
Pages = [
    "generated/defaults.md",
    "generated/RandomWalker.md",
    "generated/ShallowWaters.md",
    "generated/MITgcm.md",
    "generated/Speedy.md",
    "generated/CMIP6.md",
]
Depth = 2
```
